Subject: [PATCH V3 1/2] of: Add generic device tree DMA helpers

From: [email-masked] (Arnd Bergmann)
Date: Tue, 24 Jul 2012 18:55:37 +0000

On Tuesday 24 July 2012, Stephen Warren wrote:
> It seems that given there are two values for dma-names, there really are
> two channels; it's just that one channel is bi-directional, and the
> second has two alternatives.
> 
> Still, I guess you could also view this as three separate channels
> instead. In which case, the text below makes sense.
> 
> > 3. A device with three channels, one of which has two alternatives:
> > 
> >         dmas = <&dma0 1 4   /* first channel,  data read */
> >                 &dma0 2 6   /* second channel, data write */
> >                 &dma1 1 0   /* third channel,  error read */
> >                 &dma2 1 0>; /* third channel,  ernative error read */
> >         dma-names = "data", "data", "error", "error";
> > 

A bidirectional channel would have only one request line, not two,
and we would write that as

	dmas = <&dma0 3 4>; /* one channel on dmarq 4, read-write */

	Arnd